Announcement

Collapse
No announcement yet.

How to Install dump1090-mutability_1.15~dev on RPi

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Originally posted by wiedehopf View Post

    Note you can't have dump1090-fa and dump1090-mutability installed at the same time.
    The script will therefore deinstall dump1090-mutability.
    Great!! This forum is back on line - how could we live without it!

    I've just done a complete reinstall.
    I do like dump1090-mutability_1-15 with all the additions like Heywhatsthat range circles, colo(u)red rings and embedded gain changing etc.
    The new performance graphs are excellent also.
    I then installed dump1090-fa and that too has many features that I like. so I hoped to be able to run both versions but I find that the dump1090-mutability_1-15 map has now lost all the installed features.It just runs with a basic layout and grey (gray) aircraft.
    Then I saw your post saying that It isn't possible to install both but I'm sure that I had successfully done that before I decided to begin with a new USB stick.
    Is is definitely not possible to have both versions?

    T-EGSY1

    Comment


    • Well you can have both versions of the web interface, having both dump1090-mutability and dump1090-fa is another story.

      Just go with this bundle here, it has multiple web interfaces:
      https://github.com/wiedehopf/adsb-sc...for-dump1090fa

      Comment


      • Yes I have already gone with that and I do like the interface. I just miss the set gain capability, the option of more range circles and the Heywhatsthat radio horizon plot

        Comment


        • You can change that via the configuration just as with the other interface.
          You can also add the upintheair.json

          Also as previously said there are multiple interfaces.
          The tar1090 interface config is configured like this:
          https://github.com/wiedehopf/tar1090...rface-optional

          Same html folder is where uptintheair.json goes.

          Comment


          • Thanks again, I've now got both the tar1090 and the dump1090-fa maps with colo(u)red and blue dotted range lines out to 300nm, the upintheair theoretical coverage area and the Bing maps all as I want them.
            I would like to get back the ability to set receiver gain from the map views perhaps by changing the paths in the various abcd567's instructions on that subject. would that work? Anyway it's past 1 am over here now so I'm giving up for tonight.

            T-EGSY1

            Comment


            • I wouldn't recommend it, you are on your own with that.
              It's not like it's complicated to change gain via command line: https://github.com/wiedehopf/adsb-sc...rovided-helper
              That's already included.

              Note you should then disable the automatic algorithm for changing gain.

              Comment


              • Just a quick note for abcd567

                Just used your excellent instructions (again!!) on How to Install dump1090-mutability_1.15~dev on RPi and spotted a tiny typo in the add RSSI column section.


                STEP-2

                2.1 - Prepration
                Code:


                Unless that's the Canadian spelling!!!

                Regards
                Scroggie

                Comment


                • Hi!

                  I'm new to Raspbian and have a problem with step 3 on page 1. When i want to build the package, there comes the following error (Raspbian BUSTER):

                  dpkg-source --before-build .
                  dpkg-checkbuilddeps: error: Unmet build dependencies: debhelper (>= 8) librtlsdr-dev libusb-1.0-0-dev
                  dpkg-buildpackage: warning: build dependencies/conflicts unsatisfied; aborting
                  dpkg-buildpackage: warning: (Use -d flag to override.)
                  Can anyone help?

                  Thanks in advance
                  Andreas

                  Comment


                  • Install the packages it's missing ...

                    sudo apt install package1 package2

                    with package1 and package2 being what it's missing ...

                    Comment


                    • Thanks, will try...

                      Comment


                      • Okay, system is running...
                        I have Raspbian Buster but have tried "Method 2" (Build dump1090-mutability_1.15~dev from source (Raspbian Stretch)), which worked for me.
                        Now i have only a little problem: PiAware (SkyAware) doesn't show any plane and says "Problem fetching data from dump1090", but with http://<ip-from-my-raspberry>/dump1090/gmap.html all ist running perfect...

                        No big problem, but is it fixable somehow?


                        Thanks
                        Andreas
                        Last edited by ABi69; 2020-03-08, 21:15.

                        Comment


                        • If you have sky aware, why did you install dump1090-mutability (a different version)

                          You can't run both.

                          Mixing and matching instructions when you don't understand the consequences/ask first is not advised.
                          Posts not to be taken as official support representation - Just a helpful uploader who tinkers

                          Comment


                          • I made it as described at page 1 here in this thread.

                            Comment


                            • Originally posted by ABi69 View Post
                              I made it as described at page 1 here in this thread.
                              Well that doesn't make a lot of sense.

                              Cause the skyview branding is in dump1090-fa (flightaware) and not 1.15 -mutability-dev
                              So unless they have redirected the -dev or included it in that...

                              sudo apt policy dump1090-mutability
                              sudo apt policy dump1090-fa

                              If both report results of installed, you have both somehow. (did you install piaware too and chose wrong settings - should have specified feeder already present?) And should pick one and remove the other
                              Posts not to be taken as official support representation - Just a helpful uploader who tinkers

                              Comment


                              • Ah, okay. Thx.

                                So it's not possible to use SkyView with mutability?
                                I thought that there would be a kind of trick...

                                Comment

                                Working...
                                X